Subject: bug#55136: keepassxc segfaults when merging databases

From: Thiago Jung Bauermann <[email-masked]>
Date: Wed, 08 Jun 2022 23:29:42 -0300

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Aurora <[email-masked]> writes:
>
>> raingloom <[email-masked]> writes:
>>
>>> Sorry, can't really send the database files, obviously.
>>>
>>> Here is the error message instead.
>>>
>>> ```
>>> failed to register FdoSecrets::Item(0x5596b3d47a20) at
>>> "/org/freedesktop/secrets/collection/passes/c417f89606a5463fa0746d0a5f5625ba"
>>> "Failed to register item on DBus at path
>>> '/org/freedesktop/secrets/collection/passes/c417f89606a5463fa0746d0a5f5625ba'"
>>> QObject::connect(Group, Unknown): invalid nullptr parameter
>>> QObject::connect(FdoSecrets::Item, FdoSecrets::Collection): invalid
>>> nullptr parameter QObject::connect(FdoSecrets::Item,
>>> FdoSecrets::Collection): invalid nullptr parameter [1]    1425
>>> segmentation fault  keepassxc
>>> ```
>>
>> It might be advisable to try a synthetic test using two new databases
>> with some dummy entries in them, to see if it's a general problem with
>> database merging or if there's something specifically about the
>> databases you're trying to merge that's not being accepted.
>
> Keepassxc seems crashy; I tried creating a new database and it was
> crashing randomly, without any error output.

Strange, I use keepassxc regularly for a long time now and I've never
seen it crash. Though I don't do complex stuff such as merging
databases, just retrieval of users and passwords and creation of new
entries.

-- 
Thanks
Thiago